jQuery(function() {
  var winWidth = $(window).width();
  
  /** ページ内リンクのクリックイベント */
  jQuery('a[href^=#]').click(function() {

    if (jQuery(this).attr('href') == '#index') {
    	goIndex();
    } else {
		jQuery('div.active').animate({left: (winWidth * -1) + 'px'}, 500, function() { jQuery(this).removeClass('active') });
	    jQuery(jQuery(this).attr('href')).css('left', winWidth).addClass('active').animate({left: 0 }, 500);
		/** 横スライドのあと、トップへスクロールして、1px下に */
		jQuery('body,html').delay(505).animate({scrollTop: 1}, '500');
	    return false;
    }
  });

  /** Index に戻る */
  function goIndex() {
  	if (jQuery('div.active').attr('id') == 'index') return false;
    jQuery('div.active').animate({
	'left': '+=' + winWidth + 'px'
    }, 500, function() { jQuery(this).removeClass('active'); });
    jQuery('#index').css('left', (winWidth * -1) + 'px').addClass('active').animate({
      'left': '+=' + winWidth + 'px'
    }, 500);
  }

});
